mediastreamer2: Camera API - manage video capture devices

mediastreamer2 2.7.3

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Directories

Defines | Typedefs | Functions
Camera API - manage video capture devices
Mediastreamer2's base APIs

## Defines
#define | MS_STATIC_IMAGE_SET_IMAGE MS_FILTER_METHOD(MS_STATIC_IMAGE_ID,0,const char)
## Typedefs
typedef struct _MSWebCamManager | MSWebCamManager
typedef struct _MSWebCamDesc | MSWebCamDesc
typedef struct _MSWebCam | MSWebCam
## Functions
MSWebCamManager * | ms_web_cam_manager_get (void)
void | ms_web_cam_manager_destroy (void)
MSWebCam * | ms_web_cam_manager_get_cam (MSWebCamManager *m, const char *id)
MSWebCam * | ms_web_cam_manager_get_default_cam (MSWebCamManager *m)
const MSList * | ms_web_cam_manager_get_list (MSWebCamManager *m)
void | ms_web_cam_manager_add_cam (MSWebCamManager *m, MSWebCam *c)
void | ms_web_cam_manager_prepend_cam (MSWebCamManager *m, MSWebCam *c)
void | ms_web_cam_manager_register_desc (MSWebCamManager *m, MSWebCamDesc *desc)
void | ms_web_cam_manager_reload (MSWebCamManager *m)
struct _MSFilter * | ms_web_cam_create_reader (MSWebCam *obj)
MSWebCam * | ms_web_cam_new (MSWebCamDesc *desc)
void | ms_web_cam_destroy (MSWebCam *obj)
const char * | ms_web_cam_get_driver_type (const MSWebCam *obj)
const char * | ms_web_cam_get_name (const MSWebCam *obj)
const char * | ms_web_cam_get_string_id (MSWebCam *obj)

## Define Documentation

#define MS_STATIC_IMAGE_SET_IMAGE MS_FILTER_METHOD(MS_STATIC_IMAGE_ID,0,const char)

method for the "nowebcam" filter

## Typedef Documentation

MSWebCamManager

Structure for webcam manager object.

MSWebCamDesc

Structure for sound card description object.

MSWebCam

Structure for sound card object.

## Function Documentation

MSWebCamManager* ms_web_cam_manager_get | ( | void |  | ) |

Retreive a webcam manager object.

Returns: MSWebCamManager if successfull, NULL otherwise.

void ms_web_cam_manager_destroy | ( | void |  | ) |

Destroy the webcam manager object.

MSWebCam* ms_web_cam_manager_get_cam | ( | MSWebCamManager * | m,
|  | const char * | id
| ) |  |

Retreive a webcam object based on its name.

Parameters:

  m | A webcam manager containing webcam.
  id | A name for card to search.

Returns: MSWebCam if successfull, NULL otherwise.

MSWebCam* ms_web_cam_manager_get_default_cam | ( | MSWebCamManager * | m | ) |

Retreive the default webcam object.

Parameters:

  m | A webcam manager containing webcams.

Returns: MSWebCam if successfull, NULL otherwise.

const MSList* ms_web_cam_manager_get_list | ( | MSWebCamManager * | m | ) |

Retreive the list of webcam objects.

Parameters:

  m | A webcam manager containing webcams.

Returns: MSList of cards if successfull, NULL otherwise.

void ms_web_cam_manager_add_cam | ( | MSWebCamManager * | m,
|  | MSWebCam * | c
| ) |  |

Add a webcam object in a webcam manager's list.

Parameters:

  m | A webcam manager containing webcams
  c | A web cam object.

void ms_web_cam_manager_prepend_cam | ( | MSWebCamManager * | m,
|  | MSWebCam * | c
| ) |  |

Add a webcam object on top of list of the webcam manager's list.

Parameters:

  m | A webcam manager containing webcams
  c | A web cam object.

void ms_web_cam_manager_register_desc | ( | MSWebCamManager * | m,
|  | MSWebCamDesc * | desc
| ) |  |

Register a webcam descriptor in a webcam manager.

Parameters:

  m | A webcam manager containing sound cards.
  desc | A webcam descriptor object.

void ms_web_cam_manager_reload | ( | MSWebCamManager * | m | ) |

Ask all registered MSWebCamDesc to detect the webcams again.

Parameters:

  m | A webcam manager

struct _MSFilter* ms_web_cam_create_reader | ( | MSWebCam * | obj | ) | `[read]`

Create an INPUT filter based on the selected camera.

Parameters:

  obj | A webcam object.

Returns: A MSFilter if successfull, NULL otherwise.

MSWebCam* ms_web_cam_new | ( | MSWebCamDesc * | desc | ) |

Create a new webcam object.

Parameters:

  desc | A webcam description object.

Returns: MSWebCam if successfull, NULL otherwise.

void ms_web_cam_destroy | ( | MSWebCam * | obj | ) |

Destroy webcam object.

Parameters:

  obj | A MSWebCam object.

const char* ms_web_cam_get_driver_type | ( | const MSWebCam * | obj | ) |

Retreive a webcam's driver type string.

Internal driver types are either: "V4L V4LV2"

Parameters:

  obj | A webcam object.

Returns: a string if successfull, NULL otherwise.

const char* ms_web_cam_get_name | ( | const MSWebCam * | obj | ) |

Retreive a webcam's name.

Parameters:

  obj | A webcam object.

Returns: a string if successfull, NULL otherwise.

const char* ms_web_cam_get_string_id | ( | MSWebCam * | obj | ) |

Retreive webcam's id: (

driver_type:

name).

Parameters:

  obj | A webcam object.

Returns: A string if successfull, NULL otherwise.